## ocaml-multicore-bench 0.1.7

=== Makefile ===
.PHONY: bench

bench:
	@dune exec --release -- bench/main.exe -budget 1

=== debian/changelog ===
ocaml-multicore-bench (0.1.7-1build1) plucky; urgency=medium

  * Rebuild against new OCAML ABI.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 31 Jan 2025 09:21:27 +0100

ocaml-multicore-bench (0.1.7-1) unstable; urgency=medium

  * Initial release.

 -- Kyle Robbertze <paddatrapper@debian.org>  Sat, 26 Oct 2024 13:35:16 +0100

=== debian/control ===
Source: ocaml-multicore-bench
Section: ocaml
Priority: optional
Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
Uploaders: Kyle Robbertze <paddatrapper@debian.org>
Rules-Requires-Root: no
Build-Depends: debhelper-compat (= 13),
               ocaml-dune,
               dh-ocaml,
               libdomain-local-await-ocaml-dev,
               libmulticore-magic-ocaml-dev,
               libmtime-ocaml-dev,
               libyojson-ocaml-dev,
               libbackoff-ocaml-dev,
               libmdx-ocaml-dev,
               ocaml,
Standards-Version: 4.7.0
Homepage: https://github.com/ocaml-multicore/multicore-bench
Vcs-Browser: https://salsa.debian.org/ocaml-team/ocaml-multicore-bench
Vcs-Git: https://salsa.debian.org/ocaml-team/ocaml-multicore-bench.git

Package: libmulticore-bench-ocaml-dev
Architecture: any
Depends: ${misc:Depends},
         ${ocaml:Depends},
         ${shlibs:Depends}
Provides: ${ocaml:Provides}
Description: framework for writing multicore benchmark executables
 Multicore bench is a framework for writing multicore
 benchmark executables to run locally on your computer and
 on current-bench.

=== debian/tests/control ===
# TODO: enable after dependencies are in unstable
#Tests: upstream
#Depends: @, ocaml-dune, libalcotest-ocaml-dev
#Restrictions: allow-stderr
